perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joshua Chamas <jos...@chamas.com>
Subject Re: Apache-ASP, XML::XSLT, XML::DOM
Date Thu, 01 Feb 2001 22:23:18 GMT
> Christian Heiss wrote:
> 
> I have to install Apache-ASP, and there is a optional modul XSLT.
> I tried to install this module but there is another prerequisite
> Modul XML::DOM needed. If I want install this, the "make test"
> command failed, with the error message:
> 
> >"Can't locate object method 'equals' via package 'XML::Parser::ContentModel' at CmpDOM.pm
line 168"<
> 

You only need this if you want to use the XSLT feature for
Apache::ASP, which is unlikely.  If you do, then I would 
suggest installing with CPAN   Bundle::XML , and then 
build your apache with the disable-rule=EXPAT like so:

# modperl part
perl Makefile.PL \
    APACHE_SRC=../apache_1.3.14/src \
    NO_HTTPD=1 \
    USE_APACI=1 \
    PREP_HTTPD=1 \
    EVERYTHING=1

# apache part
./configure \
    --prefix=/usr/local/apache \
    --activate-module=src/modules/perl/libperl.a \
    --enable-module=proxy \
    --enable-module=so \
    --disable-rule=EXPAT

-- Josh

_________________________________________________________________
Joshua Chamas			        Chamas Enterprises Inc.
NodeWorks >> free web link monitoring	Huntington Beach, CA  USA 
http://www.nodeworks.com                1-714-625-4051

Mime
View raw message